<?php
/**
 * Try to initializes the language system
 *
 * @author		Roland Haeder <webmaster@ship-simu.org>
 * @version		0.0.0
 * @copyright	Copyright (c) 2007, 2008 Roland Haeder, 2009 Core Developer Team
 * @license		GNU GPL 3.0 or any newer version
 * @deprecated
 * @todo		We should minimize these includes
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

// Try to instance the language system
$lang = LanguageSystem::createLanguageSystem(
	FrameworkConfiguration::getInstance()->getConfigEntry('base_path').
	FrameworkConfiguration::getInstance()->getConfigEntry('lang_base_path')
);

// Is the app variable there and valid?
// @TODO Rewrite this
if (is_object($app)) $app->setLanguageInstance($lang);

// [EOF]
?>
